textures/mall99/mall99_sky
{
	lightcolor	( 1.000000 1.000000 1.000000 )
	qer_editorimage	textures/tools/editor_images/qer_sky
// q3map_surfacelight	100 //REPLACED WITH Q3MAP_SKYLIGHT
// EXAMPLE q3map_skylight [amount] [iterations]
	q3map_skylight 80 4 // Emits light in all directions from sky textures
	q3map_lightsubdivide	512
	//sun 0.75 0.79 1 400 99 99 //REPLACED WITH Q3MAP_SUNEXT
// EXAMPLE q3map_sunExt [red] [green] [blue] [intensity] [degrees] [elevation] [deviance] [samples]
	q3map_sunExt .79000 0.79000 .90000 350 80 80 3 4
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/hk1 512 -
// Optional FPS killing cloud layer but I tried defining it as a "detail texture" so the client can disable it
//{
//	map textures/mall99/cloud.tga
//	blendfunc GL_ONE GL_ONE
//	tcMod scale 1 1
//	tcMod scroll 0.001 0.001 //very slow subtle movement
//	detail
//}
}
textures/mall99/mallfog
{
	qer_editorimage	textures/tools/editor_images/qer_fogblack
	surfaceparm	nonsolid
	surfaceparm	fog
	fogparms	( 0.15 0.15 0.15 ) 1000.0
}
textures/mall99/mallfog2
{
	qer_editorimage	textures/tools/editor_images/qer_fogblack
	surfaceparm	nonsolid
	surfaceparm	fog
	fogparms	( 0.5 0.47 0.4 ) 1000.0
}

// Stores

textures/mall99/rubytuesday
{
	q3map_material	Fabric
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/mall99/rubytuesday
        blendFunc GL_DST_COLOR GL_ZERO
    }
}
textures/mall99/bbw_awning
{
	q3map_material	Fabric
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/mall99/bbw_awning
        blendFunc GL_DST_COLOR GL_ZERO
    }
}
textures/mall99/dsw_logo
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_alphashadow
	cull	disable
    {
        map textures/mall99/dsw_logo
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/dsw_logo
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mall99/dsw_awning
{
	q3map_material	Fabric
	cull	disable
    {
        map $lightmap
    }
    {
        map textures/mall99/dsw_awning
        blendFunc GL_DST_COLOR GL_ZERO
    }
}
textures/mall99/anntaylor
{
	qer_editorimage	textures/mall99/anntaylor_rad
	cull	front
    {
        map textures/mall99/anntaylor
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/anntaylor
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/mall99/tradesecret
{
	qer_editorimage	textures/mall99/tradesecret_rad
	cull	front
    {
        map textures/mall99/tradesecret
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/tradesecret
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/mall99/hooters_sign
{
	qer_editorimage	textures/mall99/sign_hooter_off
	q3map_surfacelight	225
	q3map_lightimage textures/mall99/sign_hooter_color
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Computer
    {
        map $lightmap
    }
    {
        map textures/mall99/sign_hooter_off
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mall99/sign_hooter_glow
        blendFunc GL_ONE GL_ONE
	detail
        rgbGen wave sin 1 0.5 400 40
    }
}


// Movies

textures/mall99/piratesmovie
{
	qer_editorimage	textures/mall99/piratesstrip35b
	q3map_material	SolidMetal
    {
	map textures/mall99/piratesstrip35b
	blendFunc GL_DST_COLOR GL_ZERO
	tcMod scroll 30 .025
    }
}
textures/mall99/carpet_aisle
{
	qer_editorimage	textures/mall99/carpet_aisle
	q3map_lightimage textures/mall99/carpet_aisle2
	q3map_material	Carpet
    {
        map $lightmap
    }
    {
        map textures/mall99/carpet_aisle
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mall99/carpet_aisle2
        blendFunc GL_ONE GL_ONE
	detail
    }
}
textures/mall99/laibachmovie
{
	qer_editorimage	textures/mall99/laibach0.tga
	q3map_lightimage	textures/mall99/laibach0.tga
	q3map_material	Fabric
    {
        map $lightmap
    }
    {
        map textures/mall99/laibach
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        alphaGen const 0.4
	tcMod stretch sine 1 .5 1 2.1
    }
    {
        animMap 8.4 textures/mall99/laibach0.tga textures/mall99/laibach1.tga textures/mall99/laibach2.tga textures/mall99/laibach3.tga textures/mall99/laibach4.tga textures/mall99/laibach5.tga textures/mall99/laibach6.tga textures/mall99/laibach7.tga 
        blendFunc GL_ONE GL_ONE
    }
}

// Signs

textures/mall99/mall_directions_1
{
// polygonOffset - sets off surface slightly
	cull	back
    {
        map textures/mall99/mall_directions_1
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/mall_directions_1
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/mall99/mall_directions_2
{
	cull	back
    {
        map textures/mall99/mall_directions_2
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/mall_directions_2
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/mall99/mall_directions_2b
{
	cull	back
    {
        map textures/mall99/mall_directions_2b
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/mall_directions_2b
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

// General Mall

textures/mall99/escalator_on_down
{
	qer_editorimage	textures/mall99/escalator_off
	q3map_material	SolidMetal
    {
	map $lightmap
    }
    {
	map textures/mall99/escalator_off
	blendFunc GL_DST_COLOR GL_ZERO
	tcMod scroll 0 -0.4
    }
}

textures/mall99/escalator_on_up
{
	qer_editorimage	textures/mall99/escalator_off
	q3map_material	SolidMetal
    {
	map $lightmap
    }
    {
	map textures/mall99/escalator_off
	blendFunc GL_DST_COLOR GL_ZERO
	tcMod scroll 0 0.4
    }
}

textures/mall99/escalator_off
{
	q3map_material	SolidMetal
    {
	map $lightmap
    }
    {
	map textures/mall99/escalator_off
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/mall99/mall_railing
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_alphashadow
	cull	disable
    {
        map textures/mall99/mall_railing
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/mall_railing
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}
textures/mall99/mall_railing2
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_alphashadow
	cull	disable
    {
        map textures/mall99/mall_railing2
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/mall_railing2
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mall99/carousel_top_art
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_alphashadow
	cull	disable
    {
        map textures/mall99/carouseltopart
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ZERO
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        depthFunc equal
    }
    {
        map textures/mall99/carouseltopart
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mall99/glass99
{
	qer_editorimage	textures/shop/glass_test
	qer_trans	0.5
	surfaceparm	nonopaque
	surfaceparm	shotclip
	surfaceparm	trans
	q3map_material	ShatterGlass
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/shop/metal_gray_scratches
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.2
        tcGen environment
    }
}

textures/mall99/glass99_2side
{
	qer_editorimage	textures/shop/glass_test
	qer_trans	0.5
	surfaceparm	nonopaque
	surfaceparm	shotclip
	surfaceparm	trans
	q3map_material	BPGlass
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map textures/mall99/env_center
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.2
        tcGen environment
    }
}
